%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname ruby-ole
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby OLE library
Name: rubygem-%{gemname}
Version: 1.2.11.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://code.google.com/p/ruby-ole
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(abi) = 1.8
Requires: rubygems
BuildRequires: rubygems
# The following is required %%check
BuildRequires: rubygem(rake)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A library for easy read/write access to OLE compound documents for Ruby.

%package doc
Summary:           Documentation for %{name}
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

# rpmlint cleanup
chmod 644 %{buildroot}%{geminstdir}/lib/ole/storage/base.rb
chmod 755 %{buildroot}%{geminstdir}/test/test_meta_data.rb


%clean
rm -rf %{buildroot}

%check
cd %{buildroot}%{geminstdir}
rake test


%files
%defattr(-, root, root, -)
%{_bindir}/oletool
%dir %{geminstdir}
%doc %{geminstdir}/README
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/ChangeLog
%{geminstdir}/lib
%{geminstdir}/bin
%{geminstdir}/data
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%files doc
%defattr(-, root, root, -)
%{geminstdir}/test
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/*.gemspec


%changelog
* Sun Jan 08 2012 Michael Stahnke <mastahnke@gmail.com> - 1.2.11.2-1
- Bump to 1.2.11.2 and fix bug 715865

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 25 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.2.11.1-1
- License changed to MIT per upstream comments

* Thu Sep 16 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.2.10.1-1
- Initial package
